package moe.oko.opennaw.model;

import net.luckperms.api.model.group.Group;
import org.bukkit.Location;

public class Nation {
    public static final Nation UNCLAIMED = new Nation("UNCLAIMED", null);

    private String name;
    private Group group;
    private Location spawn;

    //The icon used for cities owned by this nation (default is a tower)
    private String dynmapIcon;

    public Nation(String name, Group group) {
        this.name = name;
        this.group = group;
        this.dynmapIcon = "tower";
        this.spawn = null;
    }

    public String getName() { return name; }
    public Group getGroup() { return group; }
    public Location getSpawn() { return spawn; }
    public void setSpawn(Location l) {
        this.spawn = l;
    }

    public String getDynmapIcon() {
        return dynmapIcon;
    }

    public void setDynmapIcon(String dynmapIcon) {
        this.dynmapIcon = dynmapIcon;
    }
}
